<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_notification_settings', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->unique()->index()->unsigned();
            $table->enum('comment_on_your_profile', ['Y', 'N'])->default('N');
            $table->enum('previously_left_comment_on_game', ['Y', 'N'])->default('N');
            $table->enum('comment_for_game_on_list', ['Y', 'N'])->default('N');
            $table->enum('comment_on_your_review', ['Y', 'N'])->default('N');
            $table->enum('previously_left_comment_on_review', ['Y', 'N'])->default('N');
            $table->enum('friend_added_you', ['Y', 'N'])->default('N');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_notification_settings');
    }
};
